%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
Name:           sslstrip
Version:        0.9
Release:        %mkrel 10
Summary:        Tool that provides a demonstration of HTTPS stripping attacks
Group:          Monitoring
License:        GPLv3+
URL:            http://www.thoughtcrime.org/software/sslstrip/
Source0:        http://www.thoughtcrime.org/software/sslstrip/%{name}-%{version}.tar.gz
BuildRequires:  python >= 2.5
Requires:       python-twisted-web
BuildArch:      noarch

%description
Tool that provides a demonstration of HTTPS stripping attacks that were 
presented at Black Hat DC 2009 by Moxie Marlinspike. It will transparently 
hijack HTTP traffic on a network, watch for HTTPS links and redirects, then map 
those links into either look-alike HTTP links or homograph-similar HTTPS links.
It also supports modes for supplying a favicon which looks like a lock icon, 
selective logging, and session denial

%prep
%setup -q

# Make COPYING and README not executable
chmod -x COPYING
chmod -x README

%build
python setup.py build

%install
python setup.py install --root %{buildroot}

# Remove duplicate doc files
rm %{buildroot}/usr/share/%{name}/README
rm %{buildroot}/usr/share/%{name}/COPYING

%files
%doc COPYING README
%dir %{python_sitelib}/%{name}
%{python_sitelib}/%{name}/*.py*
#{python_sitelib}/%{name}/*.pyc
#{python_sitelib}/%{name}/*.pyo
%{python_sitelib}/*.egg-info
%{_datadir}/%{name}/*
%{_bindir}/%{name}



%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.9-10.mga6
+ Revision: 945371
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9-9.mga5
+ Revision: 745306
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9-8.mga5
+ Revision: 730210
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9-7.mga5
+ Revision: 689330
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9-5.mga4
+ Revision: 544889
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9-4.mga4
+ Revision: 500453
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jan 14 2013 umeabot <umeabot> 0.9-3.mga3
+ Revision: 382679
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 19 2011 guillomovitch <guillomovitch> 0.9-2.mga2
+ Revision: 126483
- imported package sslstrip


* Thu Jul 07 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-2mdv2011
+ Revision: 689085
- switch group to monitoring, as other security-related tools
- spec cleanup

* Sat Jul 02 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.9-1
+ Revision: 688563
- first import from fedoras
- import sslstrip

